Blue Prism Hub platform (including Interact, ALM and other plugins)

Components

To use all the features of Blue Prism Interact, Blue Prism Decision and the Control Room within Blue Prism Hub, the following components are required:

  • RabbitMQ with Erlang
  • A web server with IIS, .NET Core and .NET Framework
  • Blue Prism Enterprise 6.4.0 or later (Control Room requires 7.0 or later)
  • Blue Prism Hub, including Blue Prism Authentication Server
  • In addition:
    • For Control Room:
      • Blue Prism Enterprise 7.0 or later.
      • Blue Prism API.
    • For Blue Prism Decision:
      • Blue Prism Decision Model Service.
      • Decision API.
    • For Blue Prism Interact:
      • Blue Prism Interact.
      • Interact Remote API.

Installation

The information below describes each required component with links to downloads, documentation, and videos. It is recommended that the components are installed in the order shown below. This information covers the installation of all the plugins – you may choose not to install them all.

The videos are only available in English.

The videos can be used to provide guidance for other versions of the software, but there may be differences in the content and screens. For the installation instructions for the version you require, refer to the documentation.

A. Install WebView2

Microsoft Edge WebView2 is a prerequisite for using Authentication Server with Blue Prism. It must be installed locally on any machine that runs the Blue Prism interactive client.

B. Install Erlang

Erlang is a prerequisite for the installation of Blue Prism Hub.

C. Install RabbitMQ

RabbitMQ is a prerequisite for the installation of Blue Prism Hub.

D. Install IIS

IIS is a prerequisite for the installation of Blue Prism Hub and must be installed on the web server.

E. Install .NET

.NET is a prerequisite for the installation of Blue Prism Hub and must be installed on the web server.

A. Install Blue Prism Enterprise

Your Blue Prism Enterprise installation.

B. Install Blue Prism API

The Blue Prism API provides an interface for Control Room to interact with the Blue Prism database, providing predefined capabilities through a RESTful API.

Required by Control Room.

A. Blue Prism Decision Model Service

The Decision Model Service contains the Model Learning API used by Decision, and is available as a Linux container or as a Windows service.

Required by Blue Prism Decision.

Additional information:

The Decision Model Service must be installed before Hub as you will need the details of the install location for the Hub installer. Other components are the Decision plugin in Hub and the Decision API – information on these is located on the Configuration tab.

A. Install Blue Prism Hub

The Blue Prism Hub installer includes a number of components, such as Hub, Authentication Server and the plugins.

Additional information:

If you intend to also install Blue Prism Interact, do not carry out any of the configuration tasks in Hub yet.

A. Install Blue Prism Interact

The Blue Prism Interact installer creates the Interact website and the databases related to Interact.

A. Configure Blue Prism Hub

Set up your connection to the Blue Prism database and configure the email settings, and authentication settings.

B. Configure Authentication Server

If you are using Blue Prism 7.0 or later, configure the Authentication Server information. Required for Control Room or to authenticate users between Hub and Blue Prism.

C. Install the Business Process plugin

Required for ALM and Interact.

D. Install ALM

If you intend to use Automation Lifecycle Management, install the ALM plugin in Hub and configure user access.

Required for ALM.

E. Install the Decision plugin

If you intend to use Decision, install the Decision plugin in Hub and configure user access.

Required for Blue Prism Decision.

F. Install the Decision API

Import the Decision bprelease file into Blue Prism.

Required for Blue Prism Decision.

G. Install the Interact plugin

If you intend to use Interact, install the Interact plugin in Hub and configure user access.

Required for Blue Prism Interact.

H. Install the Interact API

Import the Interact bprelease file into Blue Prism.

Required for Blue Prism Interact.

I. Install the Control Room plugin

If you intend to use the Hub Control Room, install the Control Room plugin and configure user access.

Required for Control Room.